readin {affycomp} | R Documentation

## Read Expression Date Sets

### Description

Reads a comma delimeted file containing the expression values of the dilution and spike-in data sets and creates a `exprSet`

### Usage

    read.dilution(filename)
    read.spikein(filename,cdfName=c("hgu95a","hgu133a"),remove.xhyb=TRUE)
    read.newspikein(filename)

### Arguments

`filename` | character containing the filename to be read.
`cdfName` | are we reading data from the hgu95a or hgu133a spike-in experiment?
`remove.xhyb` | logical. If `TRUE` possible cross hybridizers are removed from the HGU133A spikein. See `remove.hgu133a.xhyb`.

### Details

The file to be read must be come delimeted with the first row containing the cel fileneames (case sensitive). The first column must be the Affymetrix gene identifiers. `read.dilution` will put things in the right place.

`read.newspikein` is a wrapper to read results from the hgu133a spikein experiment.

### Value

An `exprSet`.

### Author(s)

Rafael A. Irizarry

[Package affycomp version 1.14.0 Index]